## nmapsi4 0.1.1

=== CMakeLists.txt ===
PROJECT(nmapsi4)
cmake_minimum_required(VERSION 2.6.0)

FIND_PACKAGE(Qt4 REQUIRED)
include(${QT_USE_FILE})

if (Q_WS_WIN)
  include(CMakeMinGWFindMake)
endif (Q_WS_WIN)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

SET(SOURCES_CPP src/core/nmapsi4Slot.cpp
		src/core/resizeNmapsi4.cpp
		src/core/nmapParser.cpp 
		src/core/extensions.cpp 
		src/mainwin.cpp 
		src/core/updateUI.cpp 
		src/core/toolsUI.cpp
		src/preference/profilemain.cpp
		src/preference/profilemainupdate.cpp
		src/core/profileSession.cpp
		src/core/saveLog.cpp
		src/main.cpp )
MESSAGE( STATUS ${SOURCES_CPP} )

SET(SOURCES_H src/mainwin.h src/preference/profilemain.h)
MESSAGE( STATUS ${SOURCES_H} )

SET(SOURCES_UI src/mainwin.ui src/preference/profilemain.ui)
MESSAGE( STATUS ${SOURCES_UI} )

SET(RESOURCES_QRC mainwin.qrc)
MESSAGE( STATUS ${RESOURCES_QRC} )

qt4_add_RESOURCES(RESOURCES_QRC_SOURCES  ${RESOURCES_QRC} )
QT4_WRAP_UI(SOURCES_UI_H ${SOURCES_UI})
QT4_WRAP_CPP( SOURCES_CPP ${SOURCES_H} )
QT4_ADD_TRANSLATION(qms ts/nmapsi4_it.ts ts/nmapsi4_fr.ts ts/nmapsi4_es.ts ts/nmapsi4_de.ts ts/nmapsi4_pl.ts)

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

if (NOT WIN32)
  ADD_EXECUTABLE(nmapsi4 ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
else (WIN32) 
  ADD_EXECUTABLE(nmapsi4 WIN32 ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
endif (NOT WIN32)

INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )
TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} )

#QT4_CREATE_TRANSLATION(qms ts/nmapsi4_it.ts ts/nmapsi4_fr.ts ts/nmapsi4_es.ts nmapsi4_de.ts ts/nmapsi4_pl.ts)

if (Q_WS_X11)
  install(FILES ${qms} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/nmapsi4/locale)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/nmapsi4" DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES "src/kde/nmapsi4.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde/)
  install(FILES "src/kde/nmapsi4-admin.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde/)
  install(FILES "icons/16x16/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/16x16/apps/)
  install(FILES "icons/32x32/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps/)
  install(FILES "icons/64x64/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps/)
  install(FILES "icons/128x128/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps/)
endif (Q_WS_X11)

## nmapsi4 0.2~beta1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0)

FIND_PACKAGE(Qt4 REQUIRED)

include(${QT_USE_FILE})
ADD_DEFINITIONS(-O2 -Wall -Wextra)

if (Q_WS_WIN)
  include(CMakeMinGWFindMake)
endif (Q_WS_WIN)

add_subdirectory( lib )
add_subdirectory( nmapsi4 )
add_subdirectory( nmapsi4-logr )

CONFIGURE_FILE( "${PROJECT_SOURCE_DIR}/cmake_uninstall.cmake.in"
                "${PROJECT_BINARY_DIR}/cmake_uninstall.cmake"
                IMMEDIATE @ONLY )
 
ADD_CUSTOM_TARGET( uninstall
  "${CMAKE_COMMAND}" -P "${PROJECT_BINARY_DIR}/cmake_uninstall.cmake" )

message("------------------------------------------------")
message(" Required for build:   qt4-dev (>> 4.5.3) ")
message(" Required for runtime: nmap ( >> 5.0 ) ")
message(" Recommends: dig ")
message("------------------------------------------------")

=== nmapsi4/CMakeLists.txt ===
PROJECT(nmapsi4)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

if (WIN32)
SET(SOURCES_CPP core/nmapsi4Slot.cpp
		core/resizeNmapsi4.cpp
		core/parserUtils.cpp
		core/nmapParser.cpp
		core/extensions.cpp
		core/hostCheck.cpp
		mainwin.cpp
		core/updateUI.cpp
		core/toolsUI.cpp
		preference/profilemain.cpp
		preference/profilemainupdate.cpp
		preference/listExtension.cpp
		core/profileSession.cpp
		core/saveLog.cpp
		core/support/searchVuln.cpp
		../lib/history/loghistory.cpp
		../lib/history/coreHistory.cpp
		../lib/about/about.cpp
		core/scanMT/scanThread.cpp
		core/lookup/lookUpT.cpp
		core/scanMonitor.cpp
		core/digSupport/digSupport.cpp
		core/digSupport/digThread.cpp
		core/info/parserObj.cpp
		main.cpp)
#MESSAGE( STATUS ${SOURCES_CPP} )
else (WIN32)
  SET(SOURCES_CPP core/nmapsi4Slot.cpp
		core/resizeNmapsi4.cpp
		core/parserUtils.cpp
		core/nmapParser.cpp
		core/extensions.cpp
		core/hostCheck.cpp
		mainwin.cpp
		core/updateUI.cpp
		core/toolsUI.cpp
		preference/profilemain.cpp
		preference/profilemainupdate.cpp
		preference/listExtension.cpp
		core/profileSession.cpp
		core/saveLog.cpp
		core/support/searchVuln.cpp
		core/scanMT/scanThread.cpp
		core/lookup/lookUpT.cpp
		core/scanMonitor.cpp
		core/digSupport/digSupport.cpp
		core/digSupport/digThread.cpp
		core/info/parserObj.cpp
		main.cpp)
#MESSAGE( STATUS ${SOURCES_CPP} )
endif (WIN32)

if(NOT WIN32)
  SET(SOURCES_H mainwin.h preference/profilemain.h 
	core/scanMT/scanThread.h core/lookup/lookUpT.h core/digSupport/digSupport.h core/digSupport/digThread.h)
  #MESSAGE( STATUS ${SOURCES_H} )
else (WIN32)
  SET(SOURCES_H mainwin.h preference/profilemain.h ../lib/about/about.h 
	core/scanMT/scanThread.h core/lookup/lookUpT.h core/digSupport/digSupport.h core/digSupport/digThread.h)
  #MESSAGE( STATUS ${SOURCES_H} )
endif (NOT WIN32)

if(NOT WIN32)
  SET(SOURCES_UI mainwin.ui preference/profilemain.ui)
  #MESSAGE( STATUS ${SOURCES_UI} )
else (WIN32)
  SET(SOURCES_UI mainwin.ui preference/profilemain.ui ../lib/about/about.ui)
  #MESSAGE( STATUS ${SOURCES_UI} )
endif (NOT WIN32)

SET(RESOURCES_QRC ../mainwin.qrc)
#MESSAGE( STATUS ${RESOURCES_QRC} )

qt4_add_RESOURCES(RESOURCES_QRC_SOURCES  ${RESOURCES_QRC} )
QT4_WRAP_UI(SOURCES_UI_H ${SOURCES_UI})
QT4_WRAP_CPP( SOURCES_CPP ${SOURCES_H} )

if (RELOAD_TRANSLATIONS)
  QT4_CREATE_TRANSLATION(qms ${SOURCES_CPP} ${SOURCES_UI_H} ../lib/history/loghistory.cpp ts/nmapsi4_it.ts 
    ts/nmapsi4_fr.ts ts/nmapsi4_es.ts ts/nmapsi4_de.ts ts/nmapsi4_pl.ts ts/nmapsi4_pt_BR.ts ts/nmapsi4_cs.ts)
  message( "nmapsi4:: update and rebuild translation " )  
else (NOT RELOAD_TRANSLATIONS)
  QT4_ADD_TRANSLATION(qms ts/nmapsi4_it.ts ts/nmapsi4_fr.ts 
    ts/nmapsi4_es.ts ts/nmapsi4_de.ts ts/nmapsi4_pl.ts ts/nmapsi4_pt_BR.ts ts/nmapsi4_cs.ts)
  message( "nmapsi4:: update translation " )
endif (RELOAD_TRANSLATIONS)

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

if (NOT WIN32)
  ADD_EXECUTABLE(nmapsi4 ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
  INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/lib/history/ ${CMAKE_BINARY_DIR}/lib/about/)
  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} nmapsi4_history nmapsi4_about)
else (WIN32) 
  ADD_EXECUTABLE(nmapsi4 WIN32 ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
  INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR})			
  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY})	
endif (NOT WIN32)

#INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/../lib/)


if (Q_WS_X11)
  install(FILES ${qms} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/nmapsi4/locale)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/nmapsi4" DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES "kde/nmapsi4.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde/)
  install(FILES "kde/nmapsi4-admin.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde/)
  install(FILES "../icons/16x16/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/16x16/apps/)
  install(FILES "../icons/32x32/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps/)
  install(FILES "../icons/64x64/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps/)
  install(FILES "../icons/128x128/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps/)
endif (Q_WS_X11)

=== debian/changelog ===
nmapsi4 (0.2~beta1-1) unstable; urgency=low

  * [166dfb6] Imported Upstream version 0.2~beta1
  * [9434ab6] Switch to dpkg-source 3.0 (quilt) format

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 26 Mar 2010 22:29:25 +0100

nmapsi4 (0.2~alpha3-2) unstable; urgency=low

  * [6ecfbf9] Bump Standards-Version, no changes needed
  * [ec456f2] Updated watch file
  * Uploaded to unstable

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 22 Feb 2010 14:45:53 +0100

nmapsi4 (0.2~alpha3-1) experimental; urgency=low

  * [9450d4a] Imported Upstream version 0.2~alpha3

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 22 Jan 2010 20:24:22 +0100

nmapsi4 (0.2~alpha1-1) experimental; urgency=low

  * [969b2e6] Imported Upstream version 0.1.97
  * [f4c8cc2] Imported Upstream version 0.2~alpha1
  * [17bcd55] Updated my email address and removed DMUA control field
  * [ef73b72] Updated to Standards-Version 3.8.3 (No changes needed)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 05 Dec 2009 11:45:09 +0100

nmapsi4 (0.1.97-1) experimental; urgency=low

   * [969b2e6] Imported Upstream version 0.1.97
   * [a020699] Updated to standards version 3.8.2 (No changes needed)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 04 Aug 2009 15:05:04 +0200

nmapsi4 (0.1.96rev2-1~exp0) experimental; urgency=low

  * [fcfa4c5] Imported Upstream version 0.1.96rev2
  * [84d2220] Switch to quilt
  * [cd6a3c9] added a man page for nmapsi4-logr
  * [ecf6181] Updated to standards version 3.8.1 (No changes needed)
  * [192f13a] debian/copyright: use the © symbol and fix copyright-with-
    old-dh-make-debian-copyright lintian warning

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 09 May 2009 17:49:15 +0200

nmapsi4 (0.1.1-1) unstable; urgency=low

  * New Upstream Version
  * debian/control:
    + Added VCS field
    + Added DM-Upload-Allowed control field
  * Fixed watch file
  * debian/nmapsi4.1: Fix a typo, thanks to A. Costa (Closes: #507846)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 22 Dec 2008 11:57:36 +0100

nmapsi4 (0.1-1) unstable; urgency=low

  * Initial release (Closes: #503469)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 26 Oct 2008 13:35:15 +0100

=== debian/control ===
Source: nmapsi4
Section: net
Priority: extra
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Build-Depends: quilt (>= 0.40), debhelper (>= 7), cmake (>= 2.6.0), libqt4-dev
Standards-Version: 3.8.4
Homepage: http://nmapsi4.netsons.org/web/
Vcs-Git: git://git.debian.org/git/users/derevko-guest/nmapsi4.git
Vcs-Browser: http://git.debian.org/?p=users/derevko-guest/nmapsi4.git

Package: nmapsi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nmap
Description: graphical interface to nmap, the network scanner
 NmapSI4 is a complete Qt-based Gui with the design goal to provide a complete
 nmap interface for users, in order to manage all options of this power
 security net scanner.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd tools ; ./cmake_verbose_script.sh
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  $(QUILT_STAMPFN)
	dh_testdir
	$(MAKE) -C build/
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	[ ! -f build/Makefile ] || $(MAKE) -C build/ clean
	rm -rf build/
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -C build/ DESTDIR=$(CURDIR)/debian/nmapsi4 install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installmenu
	dh_installman debian/nmapsi4.1 debian/nmapsi4-logr.1
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_strip
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts="dversionmangle=s/~/-/" \
http://code.google.com/p/nmapsi4/downloads/list http://nmapsi4.googlecode.com/files/nmapsi4-(.*)\.tar\.gz

## nmapsi4 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,19 @@
 cmake_minimum_required(VERSION 2.6.0)
 
-FIND_PACKAGE(Qt4 REQUIRED)
+FIND_PACKAGE(Qt4 4.5.3 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
 
 include(${QT_USE_FILE})
-ADD_DEFINITIONS(-O2 -Wall -Wextra)
+ADD_DEFINITIONS(-O2 -Wall -Wextra -g)
 
 if (Q_WS_WIN)
   include(CMakeMinGWFindMake)
 endif (Q_WS_WIN)
+
+if(Q_WS_MAC)
+    SET( CMAKE_OSX_ARCHITECTURES ppc;i386 )
+    SET( MACOSX_BUNDLE_ICON_FILE ${PROJECT_SOURCE_DIR}/icons/nmapsi4.icns )
+endif(Q_WS_MAC)
+
 
 add_subdirectory( lib )
 add_subdirectory( nmapsi4 )
@@ -23,6 +29,6 @@
 message("------------------------------------------------")
 message(" Required for build:   qt4-dev (>> 4.5.3) ")
 message(" Required for runtime: nmap ( >> 5.0 ) ")
-message(" Recommends: dig ")
+message(" Recommends for runtime: dig ")
 message("------------------------------------------------")

=== nmapsi4-logr/CMakeLists.txt ===
PROJECT(nmapsi4-logr)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

if (WIN32)
SET(SOURCES_CPP	mainwin.cpp 
                src/logrApi.cpp
		../lib/history/loghistory.cpp
		../lib/history/coreHistory.cpp
		../lib/about/about.cpp
		src/main.cpp)
#MESSAGE( STATUS ${SOURCES_CPP} )
else (WIN32)
SET(SOURCES_CPP mainwin.cpp 
                src/logrApi.cpp	
		src/main.cpp)
#MESSAGE( STATUS ${SOURCES_CPP} )

endif(WIN32)

if(NOT WIN32)
	SET(SOURCES_H mainwin.h)
	#MESSAGE( STATUS ${SOURCES_H} )
else(WIN32)
	SET(SOURCES_H mainwin.h ../lib/about/about.h)
	#MESSAGE( STATUS ${SOURCES_H} )
endif(NOT WIN32)

if(NOT WIN32)
	SET(SOURCES_UI src/mainwin.ui )
	#MESSAGE( STATUS ${SOURCES_UI} )
else(WIN32)
	SET(SOURCES_UI src/mainwin.ui ../lib/about/about.ui )
	#MESSAGE( STATUS ${SOURCES_UI} )
endif(NOT WIN32)

SET(RESOURCES_QRC ../mainwin.qrc)
#MESSAGE( STATUS ${RESOURCES_QRC} )

qt4_add_RESOURCES(RESOURCES_QRC_SOURCES  ${RESOURCES_QRC} )
QT4_WRAP_UI(SOURCES_UI_H ${SOURCES_UI})
QT4_WRAP_CPP( SOURCES_CPP ${SOURCES_H} )

if (RELOAD_TRANSLATIONS)
  QT4_CREATE_TRANSLATION(qms ${SOURCES_CPP} ${SOURCES_UI_H} ts/nmapsi4-logr_it.ts 
    ts/nmapsi4-logr_fr.ts ts/nmapsi4-logr_es.ts ts/nmapsi4-logr_de.ts ts/nmapsi4-logr_pl.ts
    ts/nmapsi4-logr_cs.ts)
  message( "nmapsi4-logr:: update and rebuild translation " )  
else (NOT RELOAD_TRANSLATIONS)
  QT4_ADD_TRANSLATION(qms ts/nmapsi4-logr_it.ts	ts/nmapsi4-logr_fr.ts 
    ts/nmapsi4-logr_es.ts ts/nmapsi4-logr_de.ts ts/nmapsi4-logr_pl.ts ts/nmapsi4-logr_cs.ts)
  message( "nmapsi4-logr:: update translation " )
endif (RELOAD_TRANSLATIONS)

ADD_EXECUTABLE(nmapsi4-logr ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})

if (WIN32)
  INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR})
  INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )
  TARGET_LINK_LIBRARIES( nmapsi4-logr ${QT_LIBRARIES})
else (NOT WIN32)
  INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR}/../lib/history/)
  INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/lib/about/)
  TARGET_LINK_LIBRARIES( nmapsi4-logr ${QT_LIBRARIES} nmapsi4_history nmapsi4_about)
endif (WIN32)


if (Q_WS_X11)
  install(FILES ${qms} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/nmapsi4/locale)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/nmapsi4-logr" DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES "src/nmapsi4-logr.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde/)
#  install(FILES "src/kde/nmapsi4-admin.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde/)
#  install(FILES "icons/16x16/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/16x16/apps/)
#  install(FILES "icons/32x32/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps/)
#  install(FILES "icons/64x64/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps/)
#  install(FILES "icons/128x128/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps/)
endif (Q_WS_X11)

=== nmapsi4/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
 
-if (WIN32)
+if (NOT Q_WS_X11)
 SET(SOURCES_CPP core/nmapsi4Slot.cpp
 		core/resizeNmapsi4.cpp
 		core/parserUtils.cpp
@@ -27,9 +27,11 @@
 		core/digSupport/digSupport.cpp
 		core/digSupport/digThread.cpp
 		core/info/parserObj.cpp
+		core/actionMenu.cpp
+                core/bookCalls.cpp
 		main.cpp)
 #MESSAGE( STATUS ${SOURCES_CPP} )
-else (WIN32)
+else (NOT Q_WS_X11)
   SET(SOURCES_CPP core/nmapsi4Slot.cpp
 		core/resizeNmapsi4.cpp
 		core/parserUtils.cpp
@@ -51,27 +53,29 @@
 		core/digSupport/digSupport.cpp
 		core/digSupport/digThread.cpp
 		core/info/parserObj.cpp
+		core/actionMenu.cpp
+                core/bookCalls.cpp
 		main.cpp)
 #MESSAGE( STATUS ${SOURCES_CPP} )
-endif (WIN32)
+endif (NOT Q_WS_X11)
 
-if(NOT WIN32)
+if(Q_WS_X11)
   SET(SOURCES_H mainwin.h preference/profilemain.h 
 	core/scanMT/scanThread.h core/lookup/lookUpT.h core/digSupport/digSupport.h core/digSupport/digThread.h)
   #MESSAGE( STATUS ${SOURCES_H} )
-else (WIN32)
+else (Q_WS_X11)
   SET(SOURCES_H mainwin.h preference/profilemain.h ../lib/about/about.h 
 	core/scanMT/scanThread.h core/lookup/lookUpT.h core/digSupport/digSupport.h core/digSupport/digThread.h)
   #MESSAGE( STATUS ${SOURCES_H} )
-endif (NOT WIN32)
+endif (Q_WS_X11)
 
-if(NOT WIN32)
+if(Q_WS_X11)
   SET(SOURCES_UI mainwin.ui preference/profilemain.ui)
   #MESSAGE( STATUS ${SOURCES_UI} )
-else (WIN32)
+else (Q_WS_X11)
   SET(SOURCES_UI mainwin.ui preference/profilemain.ui ../lib/about/about.ui)
   #MESSAGE( STATUS ${SOURCES_UI} )
-endif (NOT WIN32)
+endif (Q_WS_X11)
 
 SET(RESOURCES_QRC ../mainwin.qrc)
 #MESSAGE( STATUS ${RESOURCES_QRC} )
@@ -92,16 +96,26 @@
 
 INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )
 
-if (NOT WIN32)
+if (Q_WS_X11)
   ADD_EXECUTABLE(nmapsi4 ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
   INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/lib/history/ ${CMAKE_BINARY_DIR}/lib/about/)
-  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} nmapsi4_history nmapsi4_about)
-else (WIN32) 
+  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY}  nmapsi4_history nmapsi4_about)
+elseif(WIN32)
   ADD_EXECUTABLE(nmapsi4 WIN32 ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
   INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR})			
-  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY})	
-endif (NOT WIN32)
+  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY})
+elseif(Q_WS_MAC)
+  MESSAGE( STATUS MAC Osx)
+  ADD_EXECUTABLE(nmapsi4 MACOSX_BUNDLE ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
+  INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR})
+  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY})
+  ADD_CUSTOM_COMMAND( TARGET nmapsi4 POST_BUILD
+        COMMAND mkdir ARGS ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources
+        COMMAND cp ARGS ${MACOSX_BUNDLE_ICON_FILE} ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources
+        COMMAND cp ARGS *.qm ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources)
+endif (Q_WS_X11)
 
+#
 #INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/../lib/)

=== lib/about/CMakeLists.txt ===
PROJECT(nmapsi4_about)

SET( SOURCES_CPP about.cpp )
#MESSAGE( STATUS ${SOURCES_CPP} )

#SET(SOURCES_H about.h)
#MESSAGE( STATUS ${SOURCES_H} )

SET(SOURCES_UI about.ui )
#MESSAGE( STATUS ${SOURCES_UI} )

SET(RESOURCES_QRC ../../mainwin.qrc)
#MESSAGE( STATUS ${RESOURCES_QRC} )

qt4_add_RESOURCES(RESOURCES_QRC_SOURCES  ${RESOURCES_QRC} )
QT4_WRAP_UI(SOURCES_UI_H ${SOURCES_UI})
QT4_WRAP_CPP( SOURCES_CPP ${SOURCES_H} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )

if(WIN32)
	#ADD_LIBRARY( nmapsi4_about STATIC ${SOURCES_CPP})
else(WIN32)
	ADD_LIBRARY( nmapsi4_about STATIC ${SOURCES_CPP} ${SOURCES_H} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES})
endif(WIN32)

#if (Q_WS_X11)
#  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libnmapsi4_about.so" DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/)
#endif (Q_WS_X11)

=== lib/history/CMakeLists.txt ===
PROJECT(nmapsi4_history)

SET( SOURCES_CPP coreHistory.cpp 
		 loghistory.cpp)
#MESSAGE( STATUS ${SOURCES_CPP} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )

if(WIN32)
	#ADD_LIBRARY( nmapsi4_history STATIC ${SOURCES_CPP})
else(WIN32)
	ADD_LIBRARY( nmapsi4_history STATIC ${SOURCES_CPP})
endif(WIN32)

#if (Q_WS_X11)
#  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libnmapsi4_history.so" DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/)
#endif (Q_WS_X11)

=== debian/changelog ===
nmapsi4 (0.2.1-1) unstable; urgency=low

  * [f35b3bf] Imported Upstream version 0.2.1
    - Fixed FTBFS with gcc 4.5 (Closes: #618069)
    - Fixed Crash (LP: #636959)
  * [1c09ef5] Update to Standards-Version 3.9.1, no changes needed
  * [a0b2f70] Updated home page
  * [9102006] Added libqtwebkit-dev in Build-Depends

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 20 Mar 2011 15:37:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: net
 Priority: extra
 Maintainer: Giuseppe Iuculano <iuculano@debian.org>
-Build-Depends: quilt (>= 0.40), debhelper (>= 7), cmake (>= 2.6.0), libqt4-dev
-Standards-Version: 3.8.4
-Homepage: http://nmapsi4.netsons.org/web/
+Build-Depends: quilt (>= 0.40), debhelper (>= 7), cmake (>= 2.6.0), libqt4-dev, libqtwebkit-dev
+Standards-Version: 3.9.1
+Homepage: http://www.nmapsi4.org
 Vcs-Git: git://git.debian.org/git/users/derevko-guest/nmapsi4.git
 Vcs-Browser: http://git.debian.org/?p=users/derevko-guest/nmapsi4.git

## nmapsi4 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,23 @@
 cmake_minimum_required(VERSION 2.6.0)
 
-FIND_PACKAGE(Qt4 4.5.3 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
+if (NOT WIN32 AND NOT APPLE)
+    FIND_PACKAGE(Qt4 4.5.3 COMPONENTS QtCore QtGui QtNetwork QtWebKit QtDBus REQUIRED)
+else (NOT WIN32 AND NOT APPLE)
+    FIND_PACKAGE(Qt4 4.5.3 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
+endif (NOT WIN32 AND NOT APPLE)
 
 include(${QT_USE_FILE})
-ADD_DEFINITIONS(-O2 -Wall -Wextra -g)
+
+ADD_DEFINITIONS(-O2 -Wall -Wextra -g -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 
 if (Q_WS_WIN)
   include(CMakeMinGWFindMake)
 endif (Q_WS_WIN)
 
 if(Q_WS_MAC)
-    SET( CMAKE_OSX_ARCHITECTURES ppc;i386 )
+    SET( CMAKE_OSX_ARCHITECTURES i386;x86_64 )
     SET( MACOSX_BUNDLE_ICON_FILE ${PROJECT_SOURCE_DIR}/icons/nmapsi4.icns )
 endif(Q_WS_MAC)
-
 
 add_subdirectory( lib )
 add_subdirectory( nmapsi4 )
@@ -28,7 +32,7 @@
 
 message("------------------------------------------------")
 message(" Required for build:   qt4-dev (>> 4.5.3) ")
-message(" Required for runtime: nmap ( >> 5.0 ) ")
+message(" Required for runtime: nmap ( >= 5.51 ) with nping for discovery tool")
 message(" Recommends for runtime: dig ")
 message("------------------------------------------------")

=== lib/CMakeLists.txt ===
#
# lib CMakeLists.txt
# Developer: Francesco Cecconi
#
add_subdirectory(history)
add_subdirectory(about)

=== nmapsi4-logr/CMakeLists.txt ===
PROJECT(nmapsi4-logr)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

if (WIN32)
  SET(SOURCES_CPP src/mainwin.cpp 
                   src/logrApi.cpp
                   ../lib/history/loghistory.cpp
                   ../lib/history/coreHistory.cpp
                   ../lib/about/about.cpp
                   main.cpp)
   #MESSAGE( STATUS ${SOURCES_CPP} )
else (WIN32)
  SET(SOURCES_CPP src/mainwin.cpp 
                   src/logrApi.cpp 
                   main.cpp)
   #MESSAGE( STATUS ${SOURCES_CPP} )
   
endif(WIN32)

if(NOT WIN32)
  SET(SOURCES_H src/mainwin.h)
  #MESSAGE( STATUS ${SOURCES_H} )
else(WIN32)
  SET(SOURCES_H src/mainwin.h ../lib/about/about.h)
  #MESSAGE( STATUS ${SOURCES_H} )
endif(NOT WIN32)
  
if(NOT WIN32)
  SET(SOURCES_UI src/mainwin.ui )
  #MESSAGE( STATUS ${SOURCES_UI} )
else(WIN32)
  SET(SOURCES_UI src/mainwin.ui ../lib/about/about.ui )
  #MESSAGE( STATUS ${SOURCES_UI} )
endif(NOT WIN32)

SET(RESOURCES_QRC ../mainwin.qrc)
#MESSAGE( STATUS ${RESOURCES_QRC} )
 
qt4_add_RESOURCES(RESOURCES_QRC_SOURCES  ${RESOURCES_QRC} )
QT4_WRAP_UI(SOURCES_UI_H ${SOURCES_UI})
QT4_WRAP_CPP( SOURCES_CPP ${SOURCES_H} )
 
if (RELOAD_TRANSLATIONS)
  QT4_CREATE_TRANSLATION(qms ${SOURCES_CPP} ${SOURCES_UI_H} ts/nmapsi4-logr_it.ts 
     ts/nmapsi4-logr_fr.ts ts/nmapsi4-logr_es.ts ts/nmapsi4-logr_de.ts ts/nmapsi4-logr_pl.ts
     ts/nmapsi4-logr_cs.ts ts/template/nmapsi4-logr.ts OPTIONS -no-obsolete)
  message( "nmapsi4-logr:: update and rebuild translation " )  
else (NOT RELOAD_TRANSLATIONS)
  QT4_ADD_TRANSLATION(qms ts/nmapsi4-logr_it.ts ts/nmapsi4-logr_fr.ts 
     ts/nmapsi4-logr_es.ts ts/nmapsi4-logr_de.ts ts/nmapsi4-logr_pl.ts ts/nmapsi4-logr_cs.ts)
     message( "nmapsi4-logr:: update translation " )
endif (RELOAD_TRANSLATIONS)
 
ADD_EXECUTABLE(nmapsi4-logr ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
 
if (WIN32)
  INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR})
  INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )
  TARGET_LINK_LIBRARIES( nmapsi4-logr ${QT_LIBRARIES})
else (NOT WIN32)
  INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR}/../lib/history/)
  INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/lib/about/)
  TARGET_LINK_LIBRARIES( nmapsi4-logr ${QT_LIBRARIES} nmapsi4_history nmapsi4_about)
endif (WIN32)
 
 
if (Q_WS_X11)
  install(FILES ${qms} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/nmapsi4/locale)
  install(TARGETS nmapsi4-logr DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES "src/nmapsi4-logr.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde4/)
endif (Q_WS_X11)

=== nmapsi4/CMakeLists.txt ===
PROJECT(nmapsi4)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/nmapsi4/app/
    ${CMAKE_SOURCE_DIR}/nmapsi4/app/parser/
    ${CMAKE_SOURCE_DIR}/nmapsi4/app/monitor/
    ${CMAKE_SOURCE_DIR}/nmapsi4/app/preference/
    ${CMAKE_SOURCE_DIR}/nmapsi4/common/
    ${CMAKE_SOURCE_DIR}/nmapsi4/platform/digSupport/
    ${CMAKE_SOURCE_DIR}/nmapsi4/platform/discover/
    ${CMAKE_SOURCE_DIR}/nmapsi4/platform/bookmarks/
    ${CMAKE_SOURCE_DIR}/nmapsi4/platform/vulnerability/
    ${CMAKE_SOURCE_DIR}/nmapsi4/platform/lookup/
    ${CMAKE_SOURCE_DIR}/lib/about/
    ${CMAKE_SOURCE_DIR}/lib/history/
)


if (Q_WS_X11)
QT4_ADD_DBUS_ADAPTOR(nmapsi4adaptor_SRCS
                     dbus/org.nmapsi4.Nmapsi4.xml
                     nmapsi4/app/monitor/monitor.h
                     monitor)
endif (Q_WS_X11)

SET(SOURCES_CPP 
		app/parser/parser.cpp
		app/parser/parserObjects.cpp
		app/monitor/monitor.cpp
		app/monitor/details.cpp
		app/preference/profilemain.cpp
                app/extensions.cpp
                app/updateUI.cpp
                app/slots.cpp
                app/resizeNmapsi4.cpp
                app/mainWinTools.cpp
                app/logUtils.cpp
                app/actions.cpp
                app/saveUiSettings.cpp
                app/startupTools.cpp
                app/mainScan.cpp
                app/mainwin.cpp
                app/main.cpp
		common/utilities.cpp
                common/qpushbuttonorientated.cpp
		common/qprocessthread.cpp
		platform/profile/globalProfile.cpp
		platform/profile/profileSession.cpp
		platform/profile/defaultProfile.cpp
		platform/vulnerability/addurl.cpp
                platform/vulnerability/vulnerability.cpp
		platform/lookup/lookUpT.cpp
		platform/digSupport/digSupport.cpp
                platform/bookmarks/bookCalls.cpp
		platform/nse/nseCalls.cpp
		platform/nse/nseUpdateCalls.cpp
		platform/discover/maindiscover.cpp
		platform/discover/discoverCalls.cpp
		platform/bookmarks/addparbook.cpp)


if (Q_WS_X11)
    SET(SOURCES_CPP ${SOURCES_CPP} ${nmapsi4adaptor_SRCS})
endif (Q_WS_X11)

SET(SOURCES_H app/mainwin.h 
	platform/lookup/lookUpT.h 
	platform/digSupport/digSupport.h 
	platform/vulnerability/addurl.h 
        platform/vulnerability/vulnerability.h
	platform/bookmarks/addparbook.h
	platform/discover/maindiscover.h
        common/utilities.h
	common/qprocessthread.h
	app/preference/profilemain.h 
	app/monitor/details.h
        app/monitor/monitor.h
	app/parser/parser.h)

SET(SOURCES_UI app/mainwin.ui 
	platform/vulnerability/addurl.ui 
	platform/bookmarks/addparbook.ui
	app/preference/profilemain.ui 
	app/monitor/details.ui)

SET(RESOURCES_QRC ../mainwin.qrc)

qt4_add_RESOURCES(RESOURCES_QRC_SOURCES  ${RESOURCES_QRC} )
QT4_WRAP_UI(SOURCES_UI_H ${SOURCES_UI})
QT4_WRAP_CPP( SOURCES_CPP ${SOURCES_H} )

if (RELOAD_TRANSLATIONS)
  QT4_CREATE_TRANSLATION(qms ${SOURCES_CPP} ${SOURCES_UI_H} ../lib/history/loghistory.cpp ts/nmapsi4_it.ts 
    ts/nmapsi4_fr.ts ts/nmapsi4_es.ts ts/nmapsi4_de.ts 
    ts/nmapsi4_pl.ts ts/nmapsi4_pt_BR.ts ts/nmapsi4_cs.ts 
    ts/template/nmapsi4.ts ts/nmapsi4_ru.ts OPTIONS -no-obsolete)
  message( "nmapsi4:: update and rebuild translation " )  
else (NOT RELOAD_TRANSLATIONS)
  QT4_ADD_TRANSLATION(qms ts/nmapsi4_it.ts ts/nmapsi4_fr.ts 
    ts/nmapsi4_es.ts ts/nmapsi4_de.ts ts/nmapsi4_pl.ts ts/nmapsi4_pt_BR.ts ts/nmapsi4_cs.ts ts/nmapsi4_ru.ts)
  message( "nmapsi4:: update translation " )
endif (RELOAD_TRANSLATIONS)

if (Q_WS_X11)
  ADD_EXECUTABLE(nmapsi4 ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
  INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR}
	    ${CMAKE_BINARY_DIR}/lib/history/
	    ${CMAKE_BINARY_DIR}/lib/about/
  )
  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTDBUS_LIBRARY} nmapsi4_history nmapsi4_about)
elseif(WIN32)
  ADD_EXECUTABLE(nmapsi4 WIN32 ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
  INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/lib/history/ ${CMAKE_BINARY_DIR}/lib/about/)
  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY} nmapsi4_history nmapsi4_about)
elseif(Q_WS_MAC)
  MESSAGE( STATUS MAC Osx)
  ADD_EXECUTABLE(nmapsi4 MACOSX_BUNDLE ${SOURCES_H} ${SOURCES_CPP} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
  INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/lib/history/ ${CMAKE_BINARY_DIR}/lib/about/)
  TARGET_LINK_LIBRARIES( nmapsi4 ${QT_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${QT_QTNETWORK_LIBRARY} nmapsi4_history nmapsi4_about)
  ADD_CUSTOM_COMMAND( TARGET nmapsi4 POST_BUILD
        COMMAND mkdir ARGS ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources
        COMMAND cp ARGS ${MACOSX_BUNDLE_ICON_FILE} ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources
        COMMAND cp ARGS *.qm ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources)
endif (Q_WS_X11)


if (Q_WS_X11)
  install(FILES ${qms} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/nmapsi4/locale)
  install(TARGETS nmapsi4 DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES "desktop/nmapsi4.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde4/)
  install(FILES "desktop/nmapsi4-admin.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde4/)
  install(FILES "dbus/org.nmapsi4.Nmapsi4.xml" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/interfaces/)
  install(FILES "../icons/32x32/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps/)
  install(FILES "../icons/64x64/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps/)
  install(FILES "../icons/128x128/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps/)
endif (Q_WS_X11)

=== lib/about/CMakeLists.txt ===
PROJECT(nmapsi4_about)

SET( SOURCES_CPP about.cpp )
#MESSAGE( STATUS ${SOURCES_CPP} )

#SET(SOURCES_H about.h)
#MESSAGE( STATUS ${SOURCES_H} )

SET(SOURCES_UI about.ui )
#MESSAGE( STATUS ${SOURCES_UI} )

SET(RESOURCES_QRC ../../mainwin.qrc)
#MESSAGE( STATUS ${RESOURCES_QRC} )

QT4_ADD_RESOURCES(RESOURCES_QRC_SOURCES  ${RESOURCES_QRC} )
QT4_WRAP_UI(SOURCES_UI_H ${SOURCES_UI})
QT4_WRAP_CPP( SOURCES_CPP ${SOURCES_H} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )

ADD_LIBRARY( nmapsi4_about STATIC ${SOURCES_CPP} ${SOURCES_H} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES})

=== lib/history/CMakeLists.txt ===
PROJECT(nmapsi4_history)

SET( SOURCES_CPP coreHistory.cpp 
		 loghistory.cpp)
#MESSAGE( STATUS ${SOURCES_CPP} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )


ADD_LIBRARY( nmapsi4_history STATIC ${SOURCES_CPP})

=== debian/changelog ===
nmapsi4 (0.3.1-1) unstable; urgency=low

  * [59cbf87] Imported Upstream version 0.3.1
  * [44e36de] Refreshed patches
  * [0986f29] Fix ftbfs with GCC-4.7, thanks to Francesco Cecconi.
    (Closes: #667298)
  * [a7a0b60] Depends on nmap (>= 5.51)
  * [87c716b] Added recommended target build-indep and build-arch
  * [904b991] Fixed watch file
  * [4411387] remove quilt from build-depends
  * [28c4be0] Bump standards-version 3.9.3 (no chanes needed)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 12 May 2012 12:02:21 +0200

=== debian/control ===
Source: nmapsi4
Section: net
Priority: extra
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Build-Depends: debhelper (>= 7), cmake (>= 2.6.0), libqt4-dev, libqtwebkit-dev
Standards-Version: 3.9.3
Homepage: http://www.nmapsi4.org
Vcs-Git: git://git.debian.org/git/users/derevko-guest/nmapsi4.git
Vcs-Browser: http://git.debian.org/?p=users/derevko-guest/nmapsi4.git

Package: nmapsi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nmap (>= 5.51)
Description: graphical interface to nmap, the network scanner
 NmapSI4 is a complete Qt-based Gui with the design goal to provide a complete
 nmap interface for users, in order to manage all options of this power
 security net scanner.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 # -*- makefile -*-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-include /usr/share/quilt/quilt.make
 
 configure: configure-stamp
 configure-stamp:
@@ -12,14 +10,16 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp  $(QUILT_STAMPFN)
 	dh_testdir
 	$(MAKE) -C build/
 	touch $@
 
-clean: unpatch
+clean: 
 	dh_testdir
 	dh_testroot
 	[ ! -f build/Makefile ] || $(MAKE) -C build/ clean

=== debian/watch ===
version=3
opts="dversionmangle=s/~/-/" \
http://code.google.com/p/nmapsi4/downloads/list http://nmapsi4.googlecode.com/files/nmapsi4-(.*)\.tar\.bz2

## nmapsi4 0.5~alpha1

=== CMakeLists.txt ===
PROJECT( nmapsi4 )

set(VERSION_MAJOR 0)
set(VERSION_MINOR 4)
set(VERSION_PATCH 70)
set(VERSION  ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})


cmake_minimum_required(VERSION 2.8.2)

if (NOT WIN32 AND NOT APPLE)
    FIND_PACKAGE(Qt5 5.2.0 COMPONENTS 
	Core 
	Widgets 
	Network 
	WebKitWidgets 
	WebKit
	DBus 
	Script 
	LinguistTools 
	Quick
	Qml
	Gui
	REQUIRED)
else (NOT WIN32 AND NOT APPLE)
    FIND_PACKAGE(Qt5 5.2.0 
	COMPONENTS 
	Core 
	Widgets 
	Network 
	WebKitWidgets 
	WebKit 
	Script 
	LinguistTools 
	Quick
	Qml
	Gui
	REQUIRED)
endif (NOT WIN32 AND NOT APPLE)

add_definitions (${QT5_DEFINITIONS})
include_directories(${QT5_USE_FILE})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-nmapsi4.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-nmapsi4.h )

add_definitions(-O2 -Wall -Wextra -g -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

if(UNIX)
   add_definitions(-std=c++0x)
endif()

if (WIN32)
    include(CMakeMinGWFindMake)
endif (WIN32)

if(APPLE)
    SET( CMAKE_OSX_ARCHITECTURES x86_64 )
    SET( MACOSX_BUNDLE_ICON_FILE ${PROJECT_SOURCE_DIR}/icons/nmapsi4.icns )
    set( MACOSX_BUNDLE_BUNDLE_NAME nmapsi4 )
    set( MACOSX_BUNDLE_GUI_IDENTIFIER "nmapsi4" )
    set( MACOSX_BUNDLE_INFO_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" ","
                                    " Copyright 2013 Francesco Cecconi" )
    set( MACOSX_BUNDLE_SHORT_VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}" )
    set( MACOSX_BUNDLE_LONG_VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )
    set( MACOSX_BUNDLE_BUNDLE_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )
    set( MACOSX_BUNDLE_COPYRIGHT "(C) 2013 Francesco Cecconi" )
endif(APPLE)

CONFIGURE_FILE( "${PROJECT_SOURCE_DIR}/cmake_uninstall.cmake.in"
                "${PROJECT_BINARY_DIR}/cmake_uninstall.cmake"
                IMMEDIATE @ONLY )

message("-------------------------------------------------------------------")
message(" Required for build:   qt5-dev (>>= 5.2.0) ")
message(" Required for runtime: nmap+nping ( >= 6.00 ), dig ")
message("-------------------------------------------------------------------")

add_subdirectory( src )

=== src/CMakeLists.txt ===


include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src/platform/
    ${CMAKE_SOURCE_DIR}/src/platform/logwriter/
    ${CMAKE_SOURCE_DIR}/src/platform/history/
    ${CMAKE_SOURCE_DIR}/src/platform/about/
    ${CMAKE_SOURCE_DIR}/src/platform/monitor/
    ${CMAKE_SOURCE_DIR}/src/platform/parser/
    ${CMAKE_SOURCE_DIR}/src/common/
    ${CMAKE_SOURCE_DIR}/src/app/
    ${CMAKE_SOURCE_DIR}/src/app/preference/
    ${CMAKE_SOURCE_DIR}/src/app/profiler/
    )


if (NOT WIN32 AND NOT APPLE)
QT5_ADD_DBUS_ADAPTOR(nmapsi4adaptor_SRCS
    dbus/org.nmapsi4.Nmapsi4.xml
    src/platform/monitor/monitor.h
    Monitor
    )
endif (NOT WIN32 AND NOT APPLE)

SET(SOURCES_CPP
    platform/selectprofiledialog.cpp
    platform/addvulnerabilityurl.cpp
    platform/vulnerability.cpp
    platform/lookupmanager.cpp
    platform/digmanager.cpp
    platform/nsemanager.cpp
    platform/discover.cpp
    platform/discovermanager.cpp
    platform/addparameterstobookmark.cpp
    platform/logwriter/logwriter.cpp
    platform/logwriter/logwriterxml.cpp
    platform/history/history.cpp
    platform/about/about.cpp
    platform/monitor/monitor.cpp
    platform/monitor/monitorhostscandetails.cpp
    platform/parser/parsermanager.cpp
    common/utilities.cpp
    common/pushbuttonorientated.cpp
    common/processthread.cpp
    common/pobjects.cpp
    common/notify.cpp
    common/package.cpp
    common/mouseeventfilter.cpp
    app/preference/preferencesdialog.cpp
    app/profiler/profilermanager.cpp
    app/profiler/profiler.cpp
    app/profilehandler.cpp
    app/mainwindow.cpp
    app/bookmarkmanager.cpp
    app/actionmanager.cpp
    app/qmlwelcome.cpp
    app/main.cpp
    )


if (NOT WIN32 AND NOT APPLE)
    SET(SOURCES_CPP ${SOURCES_CPP} ${nmapsi4adaptor_SRCS})
endif (NOT WIN32 AND NOT APPLE)

SET(SOURCES_MOC
    platform/lookupmanager.h
    platform/digmanager.h
    platform/addvulnerabilityurl.h
    platform/vulnerability.h
    platform/addparameterstobookmark.h
    platform/discover.h
    platform/discovermanager.h
    platform/nsemanager.h
    platform/selectprofiledialog.h
    platform/monitor/monitorhostscandetails.h
    platform/monitor/monitor.h
    platform/parser/parsermanager.h
    common/utilities.h
    common/processthread.h
    common/mouseeventfilter.h
    app/profiler/profilermanager.h
    app/profiler/profiler.h
    app/preference/preferencesdialog.h
    app/bookmarkmanager.h
    app/actionmanager.h
    app/profilehandler.h
    app/mainwindow.h
    app/qmlwelcome.h
    )

SET(SOURCES_UI
    platform/ui/addvulnerabilityurl.ui
    platform/ui/addparameterstobookmark.ui
    platform/ui/about.ui
    platform/ui/monitorhostscandetails.ui
    platform/ui/selectprofiledialog.ui
    app/ui/preferencesdialog.ui
    app/ui/profilerdialog.ui
    app/ui/discoverwidget.ui
    app/ui/scanbookmarkwidget.ui
    app/ui/vulnbookmarkwidget.ui
    app/ui/vulnerabilitywidget.ui
    app/ui/monitorwidget.ui
    app/ui/scanwidget.ui
    )

SET(RESOURCES_QRC
    images.qrc
    qml.qrc
    )

qt5_add_resources(RESOURCES_QRC_SOURCES  ${RESOURCES_QRC} )
qt5_wrap_ui(SOURCES_UI_H ${SOURCES_UI})
qt5_wrap_cpp(SOURCES_MOC_H ${SOURCES_MOC} )

SET(TRANSLATIONS_FILES
    ts/nmapsi4_it.ts
    ts/nmapsi4_fr.ts 
    ts/nmapsi4_es.ts 
    ts/nmapsi4_de.ts 
    ts/nmapsi4_cs.ts
    ts/nmapsi4_ru.ts 
    ts/nmapsi4_ca.ts
    )

qt5_add_translation(qms ${TRANSLATIONS_FILES})

INCLUDE_DIRECTORIES( ${QT5_INCLUDE_DIR} )

if (NOT WIN32 AND NOT APPLE)
    ADD_EXECUTABLE(nmapsi4 ${SOURCES_MOC} ${SOURCES_CPP} ${SOURCES_MOC_H} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
elseif(WIN32)
    ADD_EXECUTABLE(nmapsi4 WIN32 ${SOURCES_MOC} ${SOURCES_CPP} ${SOURCES_MOC_H} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
elseif(APPLE)
    MESSAGE( STATUS MAC Osx)
    ADD_EXECUTABLE(nmapsi4 MACOSX_BUNDLE ${SOURCES_MOC} ${SOURCES_CPP} ${SOURCES_MOC_H} ${SOURCES_UI_H} ${RESOURCES_QRC_SOURCES} ${qms})
    ADD_CUSTOM_COMMAND(TARGET nmapsi4 POST_BUILD
        COMMAND mkdir -p ARGS ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources
        COMMAND mkdir -p ARGS ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/MacOS
        COMMAND cp ARGS ${MACOSX_BUNDLE_ICON_FILE} ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources
        COMMAND cp ARGS *.qm ${CMAKE_CURRENT_BINARY_DIR}/nmapsi4.app/Contents/Resources)
endif (NOT WIN32 AND NOT APPLE)

target_link_libraries(nmapsi4
    ${QT5_LIBRARIES}
    ${QT5_QTWEBKIT_LIBRARY}
    ${QT5_QTNETWORK_LIBRARY}
    Qt5::Widgets
    Qt5::WebKitWidgets
    Qt5::DBus
    Qt5::Quick
    )

if (NOT WIN32 AND NOT APPLE)
    target_link_libraries(nmapsi4
        ${QT5_QTDBUS_LIBRARY}
        )
endif (NOT WIN32 AND NOT APPLE)

if (NOT WIN32 AND NOT APPLE)
    install(TARGETS nmapsi4 DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
    install(FILES ${qms} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/nmapsi4/locale)
    install(FILES "desktop/nmapsi4.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde4/)
    install(FILES "desktop/nmapsi4-admin.desktop" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/kde4/)
    install(FILES "dbus/org.nmapsi4.Nmapsi4.xml" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/interfaces/)
    install(FILES "../icons/32x32/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps/)
    install(FILES "../icons/64x64/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps/)
    install(FILES "../icons/128x128/nmapsi4.png" DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps/)
endif (NOT WIN32 AND NOT APPLE)

=== debian/changelog ===
nmapsi4 (0.5~alpha1-2) unstable; urgency=medium

  * Team upload.
  * Add qttools5-dev to b-d, to fix build failure
    and let the package migrate.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2017 09:57:54 +0100

nmapsi4 (0.5~alpha1-1) unstable; urgency=medium

  [ Marcos Fouces ]
  * Bump to dh 10.
  * Import to pkg-security team (Closes: #866828).
  * Set qt5 proper build-depends (Closes: #784501).
  * Set priority from extra to optional to follow policy.
  * Remove explicit nmap version in depends field
  * Update watch file
  * New upstream version 0.5~alpha1 (Closes: #728617).
  * Remove unneeded patches
  * Revamp rules file with dh syntax
  * Adapt copyright file to dep5 recomendations
  * Install man pages through dh_installman
  * Bump to Standards-revision 4.0.1
  * Remove README.sources. It was no more accurate

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sun, 23 Jul 2017 11:43:09 +0200

=== debian/control ===
Source: nmapsi4
Section: net
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
Build-Depends: debhelper (>= 10), cmake (>= 2.6.0), qtbase5-dev, libqt5webkit5-dev, qtscript5-dev, qtbase5-dev-tools, qttools5-dev-tools, qttools5-dev
Standards-Version: 4.0.1
Homepage: http://www.nmapsi4.org
Vcs-Git: https://anonscm.debian.org/git/pkg-security/nmapsi4.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/nmapsi4.git

Package: nmapsi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nmap
Description: graphical interface to nmap, the network scanner
 NmapSI4 is a complete Qt-based Gui with the design goal to provide a complete
 nmap interface for users, in order to manage all options of this power
 security net scanner.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@
	
override_dh_auto_clean:
	dh_auto_clean
	[ ! -f build/Makefile ] || $(MAKE) -C build/ clean
	rm -rf build/
	
override_dh_auto_configure:
	dh_auto_configure
	cd tools ; ./cmake_verbose_script.sh


override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C build/
	
override_dh_auto_install:
	dh_auto_install	
	$(MAKE) -C build/ DESTDIR=$(CURDIR)/debian/nmapsi4 install

override_dh_installman:
	dh_installman debian/nmapsi4-logr.1 debian/nmapsi4.1
